(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16337,        401]
NotebookOptionsPosition[     15887,        381]
NotebookOutlinePosition[     16253,        397]
CellTagsIndexPosition[     16210,        394]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", "QI`"}]], "Input",
 CellChangeTimes->{{3.748930814407525*^9, 3.7489308253103027`*^9}},
 ExpressionUUID -> "acaa478f-5a7f-4201-801b-f83171eea8ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package QI version \"\>", 
   "\[InvisibleSpace]", "\<\"0.4.39\"\>", 
   "\[InvisibleSpace]", "\<\" (last modification: \"\>", 
   "\[InvisibleSpace]", "\<\"13/02/2017\"\>", 
   "\[InvisibleSpace]", "\<\").\"\>"}],
  SequenceForm[
  "Package QI version ", "0.4.39", " (last modification: ", "13/02/2017", 
   ")."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.779187951297831*^9, 3.779189416178653*^9, 3.779443388412283*^9, 
   3.779515844354265*^9, 3.779525836578412*^9, 3.779537867964856*^9, 
   3.7796902041708593`*^9, 3.8054329932430487`*^9, 3.805433103297237*^9, 
   3.8054369803890743`*^9, 3.805437588263968*^9, 3.807520575051188*^9, 
   3.807867493579156*^9, 3.852103507977961*^9, 3.858148246523312*^9, 
   3.8774429824578457`*^9, {3.885726281376193*^9, 3.885726282403346*^9}, 
   3.885726491245873*^9, 3.885726852898695*^9, 3.8857270602489157`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Construction", " ", "of", " ", "the", " ", "final", " ", "measurement", 
    " ", "P_Vi"}], ",", " ", 
   RowBox[{
    RowBox[{"where", " ", "i"}], "=", "0"}], ",", 
   RowBox[{
   "1", " ", "\[IndentingNewLine]", "in", " ", "the", " ", "discrimination", 
    " ", "scheme", " ", "between", " ", "qubit", " ", "von", " ", "Neumann", 
    " ", "measurements", " ", "P_U", " ", "and", " ", "P_Id"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.748345206569874*^9, 3.7483452460834084`*^9}, 
   3.748951674439602*^9, 3.7791894225331573`*^9, {3.8857266357481422`*^9, 
   3.885726638204342*^9}, {3.887807335081357*^9, 3.887807380161151*^9}, {
   3.888059262011726*^9, 3.8880593313859797`*^9}},
 ExpressionUUID -> "95b9b9ce-0aa7-4177-b0d4-d15995da272e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FinalMeasurement", "[", "u_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Psi]u", ",", "e0", ",", "e1", ",", "v0", ",", "v1"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Psi]", " ", "=", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Psi]u", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"u", "\[ConjugateTranspose]"}], "\[CircleTimes]", 
         RowBox[{"Id", "[", "2", "]"}]}], ")"}], ".", "\[Psi]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"e0", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Eigensystem", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}], "}"}], "\[CircleTimes]", 
            RowBox[{"Id", "[", "2", "]"}]}], ")"}], ".", 
          RowBox[{"Proj", "[", "\[Psi]u", "]"}], ".", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], "}"}], "\[CircleTimes]", 
             RowBox[{"Id", "[", "2", "]"}]}], ")"}], 
           "\[ConjugateTranspose]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}], "}"}], "\[CircleTimes]", 
            RowBox[{"Id", "[", "2", "]"}]}], ")"}], ".", 
          RowBox[{"Proj", "[", "\[Psi]", "]"}], ".", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"1", ",", "0"}], "}"}], "}"}], "\[CircleTimes]", 
             RowBox[{"Id", "[", "2", "]"}]}], ")"}], 
           "\[ConjugateTranspose]"}]}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"e1", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Eigensystem", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}], "}"}], "\[CircleTimes]", 
            RowBox[{"Id", "[", "2", "]"}]}], ")"}], ".", 
          RowBox[{"Proj", "[", "\[Psi]u", "]"}], ".", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], "}"}], "\[CircleTimes]", 
             RowBox[{"Id", "[", "2", "]"}]}], ")"}], 
           "\[ConjugateTranspose]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"0", ",", "1"}], "}"}], "}"}], "\[CircleTimes]", 
            RowBox[{"Id", "[", "2", "]"}]}], ")"}], ".", 
          RowBox[{"Proj", "[", "\[Psi]", "]"}], ".", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"0", ",", "1"}], "}"}], "}"}], "\[CircleTimes]", 
             RowBox[{"Id", "[", "2", "]"}]}], ")"}], 
           "\[ConjugateTranspose]"}]}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Re", "[", 
         RowBox[{"e0", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], ">", 
        RowBox[{"Re", "[", 
         RowBox[{"e0", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"v0", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"v0", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e0", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}]}], "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Re", "[", 
         RowBox[{"e1", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], ">", 
        RowBox[{"Re", "[", 
         RowBox[{"e1", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"v1", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"v1", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"Normalize", "[", 
              RowBox[{"e1", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}]}], "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"Chop", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"MatrixForm", "[", "v0", "]"}], ",", 
        RowBox[{"MatrixForm", "[", "v1", "]"}]}], "}"}], "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.748936184361362*^9, 3.748936190047572*^9}, {
   3.748936304504652*^9, 3.748936353608554*^9}, {3.748936388992775*^9, 
   3.748936405313181*^9}, {3.748936479193713*^9, 3.7489366022827883`*^9}, {
   3.748936673171795*^9, 3.7489367271718187`*^9}, 3.748939095178846*^9, {
   3.748939156611248*^9, 3.7489391626672497`*^9}, {3.748939368120302*^9, 
   3.7489393752286997`*^9}, {3.748939768431109*^9, 3.748939773183242*^9}, {
   3.748939812071464*^9, 3.748940037497593*^9}, {3.7489400820113297`*^9, 
   3.748940086829994*^9}, {3.7489424719853477`*^9, 3.748942573834011*^9}, 
   3.748943038844756*^9, {3.748943427591598*^9, 3.748943444247498*^9}, {
   3.7489435290962143`*^9, 3.748943541680356*^9}, {3.748943576512561*^9, 
   3.748943597440781*^9}, {3.7489438552503233`*^9, 3.748943883786807*^9}, {
   3.748943972435182*^9, 3.748944101612191*^9}, {3.7489441723112783`*^9, 
   3.748944195420601*^9}, {3.7489443616696167`*^9, 3.7489447123210363`*^9}, {
   3.748944776857568*^9, 3.7489449305247307`*^9}, 3.74894512921419*^9, {
   3.7489453196463013`*^9, 3.7489454201682043`*^9}, {3.7489454645039053`*^9, 
   3.74894546795936*^9}, {3.748945615786141*^9, 3.748945661208252*^9}, {
   3.748945865260252*^9, 3.748945926320033*^9}, 3.7489459701123333`*^9, {
   3.748946018232923*^9, 3.74894608663303*^9}, {3.748946620269682*^9, 
   3.7489466517970324`*^9}, {3.748946696654208*^9, 3.748946707069564*^9}, {
   3.748947026344488*^9, 3.748947030623435*^9}, {3.748947777536994*^9, 
   3.7489477780630713`*^9}, {3.748947920193551*^9, 3.748947961015965*^9}, {
   3.748948034050743*^9, 3.748948123985015*^9}, {3.748948193068061*^9, 
   3.748948266266592*^9}, 3.748948297892457*^9, {3.748948398341558*^9, 
   3.748948507262182*^9}, {3.7489485866759977`*^9, 3.7489485934440603`*^9}, {
   3.748948660158731*^9, 3.748948686852577*^9}, {3.748948745239915*^9, 
   3.748948791517428*^9}, {3.748948833529529*^9, 3.748948834861617*^9}, {
   3.7489490252251472`*^9, 3.748949136207387*^9}, {3.74895080958134*^9, 
   3.748950831004641*^9}, {3.748950875885676*^9, 3.748950877314877*^9}, {
   3.7489509939892597`*^9, 3.748951017574552*^9}, {3.7489510898306*^9, 
   3.748951135284512*^9}, {3.748951182736619*^9, 3.748951227133169*^9}, {
   3.748951261189927*^9, 3.748951443726097*^9}, {3.7489515007845182`*^9, 
   3.748951532689548*^9}, {3.7489516087221327`*^9, 3.748951676736226*^9}, {
   3.748951984372876*^9, 3.74895200119681*^9}, {3.748952156908986*^9, 
   3.748952184955864*^9}, {3.748952252165832*^9, 3.748952262715872*^9}, {
   3.748952303335409*^9, 3.748952319067905*^9}, {3.748952395943857*^9, 
   3.748952430172514*^9}, {3.7489525009764023`*^9, 3.748952501789328*^9}, {
   3.748952594167959*^9, 3.748952682964201*^9}, {3.7490578428732443`*^9, 
   3.7490578565954237`*^9}, {3.75230098283377*^9, 3.7523009945999527`*^9}, {
   3.7524149992798023`*^9, 3.752415002848057*^9}, {3.7524157868388042`*^9, 
   3.752415819694693*^9}, {3.752415931759951*^9, 3.752415937264831*^9}, {
   3.753684825639842*^9, 3.753684858176095*^9}, {3.753684900336616*^9, 
   3.75368492622462*^9}, {3.7536851279144697`*^9, 3.753685128665884*^9}, {
   3.753693914090279*^9, 3.753693916025838*^9}, {3.753694724615427*^9, 
   3.7536947295268908`*^9}, {3.7536956503175917`*^9, 
   3.7536956846848507`*^9}, {3.75369574773374*^9, 3.7536957565732527`*^9}, 
   3.753695845647049*^9, {3.753695888934938*^9, 3.753695907926854*^9}, {
   3.753697449632016*^9, 3.753697466937035*^9}, {3.753699201534409*^9, 
   3.753699211413929*^9}, {3.779192151083297*^9, 3.779192160624999*^9}, {
   3.77919418455547*^9, 3.7791941894984007`*^9}, {3.858149831251878*^9, 
   3.858149832915629*^9}, {3.885632437689475*^9, 3.885632457030843*^9}, {
   3.88572622798213*^9, 3.8857262567486763`*^9}, {3.885726295589263*^9, 
   3.8857264411877737`*^9}, {3.8857264842581053`*^9, 3.885726487089038*^9}, {
   3.885726527441103*^9, 3.8857265626231527`*^9}, 3.885726619430801*^9, 
   3.88780738315442*^9, 3.887807426841889*^9},
 ExpressionUUID -> "ac6a82d0-28fb-4f73-9db1-87b247ef4c7f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.779702430910221*^9, 3.779702435185031*^9}, 
   3.77970247940112*^9, {3.779702522234396*^9, 3.7797025223111467`*^9}, {
   3.779702722844604*^9, 3.779702725075766*^9}, 3.8054420417478247`*^9}]
},
WindowSize->{1850, 1016},
WindowMargins->{{-69, Automatic}, {26, 11}},
Magnification:>1.25 Inherited,
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 174, 3, 40, "Input"],
Cell[757, 27, 915, 18, 31, "Print"]
}, Open  ]],
Cell[1687, 48, 804, 17, 71, "Input"],
Cell[2494, 67, 13147, 307, 350, "Input"],
Cell[15644, 376, 239, 3, 40, "Input"]
}
]
*)

